# $Revision: 1.17 $, $Date: 2004/05/06 18:09:22 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Convert
%define	pnam	GeekCode
Summary:	Convert::GeekCode - convert and generate geek code sequences
Summary(pl):	Convert::GeekCode - generowanie i konwersja sekwencji ,,geek code''
Name:		perl-Convert-GeekCode
Version:	0.51
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	8761684c417363bda5ca41fbcca8f3d5
BuildRequires:	perl-devel >= 1:5.8.0
%{?with_tests:BuildRequires:	perl-YAML}
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Convert::GeekCode converts and generates Geek Code sequences (cf.
http://geekcode.com/). It supports different langugage codes and
user-customizable codesets.

%description -l pl
Modu Convert::GeekCode konwertuje i generuje sekwencje Geek Code
(http://geekcode.com/). Obsuguje kody dla rnych jzykw i zestawy
kodw definiowane przez uytkownika.

%package -n geekcode-tools
Summary:	geekdec - Geek Code decoder, geekgen - Geek Code generator
Summary(pl):	geekdec - dekoder i geekgen - generator Geek Code
Group:		Applications
Requires:	%{name}

%description -n geekcode-tools
geekdec parses Geek Code sequences read from the standard input, and
prints out explanations.

geekgen generates Geek Code sequences interactively, according to
user's input. User could mix numerical selections with usual symbols
like (), >, ! and @.

%description -n geekcode-tools -l pl
geekdec analizuje sekwencje Geek Code czytane ze standardowego wyjcia
i wypisuje ich znaczenie.

geekgen generuje sekwencje Geek Code interaktywnie, zgodnie z danymi
wprowadzanymi przez uytkownika. Uytkownik moe miesza numery opcji
ze zwykle uywanymi symbolami takimi jak (), >, ! i @.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/%{pdir}/*.pm
%{perl_vendorlib}/%{pdir}/%{pnam}
%{_mandir}/man3/*

%files -n geekcode-tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Convert-GeekCode.spec,v $
Revision 1.17  2004/05/06 18:09:22  ankry
- fixed perl-devel BR

Revision 1.16  2004/04/25 06:25:06  ankry
- cosmetics: unification

Revision 1.15  2004/04/20 09:46:29  ankry
- bcond fixes/porting

Revision 1.14  2004/04/18 22:17:10  ankry
- license fixes and cosmetics

Revision 1.13  2004/04/14 11:42:38  ankry
- caps and other cosmetics

Revision 1.12  2003/09/21 21:48:15  adamg
- updated to 0.51

Revision 1.11  2003/09/09 10:24:30  ankry
- spaces -> tab

Revision 1.10  2003/08/18 08:08:34  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.9  2003/05/28 13:00:30  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.6  2003/03/01 18:46:08  radek
- should be ready for perl-5.8.0; release++

Revision 1.5  2003/02/25 00:37:40  radek
- use the __perl macro

Revision 1.4  2003/02/18 15:28:28  ankry
- massive attack: change CPAN URLs

Revision 1.3  2002/08/26 22:32:49  qboosh
- pl description

Revision 1.2  2002/08/26 16:24:17  radek
- fixed permissions, release 2, STBR

Revision 1.1  2002/08/25 15:20:33  radek
- new, STBR
